com.fasterxml.jackson.core.util

## Class JsonRecyclerPools.ConcurrentDequePool

- java.lang.Object
- - com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase<P>
  - - com.fasterxml.jackson.core.util.RecyclerPool.ConcurrentDequePoolBase<BufferRecycler>
    - - com.fasterxml.jackson.core.util.JsonRecyclerPools.ConcurrentDequePool

All Implemented Interfaces:
  RecyclerPool<BufferRecycler>, Serializable

Enclosing class:
  JsonRecyclerPools

    public static class JsonRecyclerPools.ConcurrentDequePool
    extends RecyclerPool.ConcurrentDequePoolBase<BufferRecycler>

`RecyclerPool` implementation that uses `ConcurrentLinkedDeque` for recycling instances.

Pool is unbounded: see `RecyclerPool` what this means.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.NonRecyclingPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ThreadLocalPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>`

### Field Summary

Fields
`protected static JsonRecyclerPools.ConcurrentDequePool` `GLOBAL`

### Fields inherited from class com.fasterxml.jackson.core.util.RecyclerPool.ConcurrentDequePoolBase

`pool`

### Fields inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_serialization, SERIALIZATION_NON_SHARED, SERIALIZATION_SHARED`

### Constructor Summary

Constructors
`protected` `ConcurrentDequePool(int serialization)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JsonRecyclerPools.ConcurrentDequePool` `construct()`
`BufferRecycler` `createPooled()`
`protected Object` `readResolve()`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.ConcurrentDequePoolBase

`acquirePooled, clear, releasePooled`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_resolveToShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`acquireAndLinkPooled`

### Field Detail

#### GLOBAL

    protected static final JsonRecyclerPools.ConcurrentDequePool GLOBAL

### Constructor Detail

#### ConcurrentDequePool

    protected ConcurrentDequePool(int serialization)

### Method Detail

#### construct

    public static JsonRecyclerPools.ConcurrentDequePool construct()

#### createPooled

    public BufferRecycler createPooled()

Specified by:
  `createPooled` in class `RecyclerPool.StatefulImplBase<BufferRecycler>`

#### readResolve

    protected Object readResolve()